module CBopControlPanelVariables
    implicit none    
    public
    Type, Public:: BopControlPanelType
        ! Input vars
        real(8) :: AnnularRegulatorSetControl
        real(8) :: AirMasterValve
        real(8) :: ByePassValve
        real(8) :: AnnularValve
        real(8) :: UpperRamsValve
        real(8) :: MiddleRamsValve
        real(8) :: KillLineValve
        real(8) :: ChokeLineValve
        real(8) :: LowerRamsValve

        ! Output vars
        real(8) :: ManifoldPressureGauge
        real(8) :: AirSupplyPressureGauge
        real(8) :: AccumulatorPressureGauge
        real(8) :: AnnularPressureGauge
        integer :: AnnularOpenLED
        integer :: AnnularCloseLED
        integer :: UpperRamsOpenLED
        integer :: UpperRamsCloseLED
        integer :: MiddleRamsOpenLED
        integer :: MiddleRamsCloseLED
        integer :: KillLineOpenLED
        integer :: KillLineCloseLED
        integer :: ChokeLineOpenLED
        integer :: ChokeLineCloseLED
        integer :: LowerRamsOpenLED
        integer :: LowerRamsCloseLED
        real(8) :: AnnularStatus
        real(8) :: UpperRamsStatus
        real(8) :: MiddleRamsStatus
        real(8) :: LowerRamsStatus
    end type
    contains
    
end module CBopControlPanelVariables
